#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private MILLAi[] cacheMILLAi;
		private AuSuperSmootherFilter[] cacheAuSuperSmootherFilter;

		
		public MILLAi MILLAi(bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return MILLAi(Input, trender1, trender2, trender3, trender1_C2, trender2_C2, trender3_C2, overrider1, overrider2, overrider3, overrider1_C2, overrider2_C2, overrider3_C2, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return AuSuperSmootherFilter(Input, poles, period);
		}


		
		public MILLAi MILLAi(ISeries<double> input, bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			if (cacheMILLAi != null)
				for (int idx = 0; idx < cacheMILLAi.Length; idx++)
					if (cacheMILLAi[idx].Trender1 == trender1 && cacheMILLAi[idx].Trender2 == trender2 && cacheMILLAi[idx].Trender3 == trender3 && cacheMILLAi[idx].Trender1_C2 == trender1_C2 && cacheMILLAi[idx].Trender2_C2 == trender2_C2 && cacheMILLAi[idx].Trender3_C2 == trender3_C2 && cacheMILLAi[idx].Overrider1 == overrider1 && cacheMILLAi[idx].Overrider2 == overrider2 && cacheMILLAi[idx].Overrider3 == overrider3 && cacheMILLAi[idx].Overrider1_C2 == overrider1_C2 && cacheMILLAi[idx].Overrider2_C2 == overrider2_C2 && cacheMILLAi[idx].Overrider3_C2 == overrider3_C2 && cacheMILLAi[idx].Contract == contract && cacheMILLAi[idx].StopLoss == stopLoss && cacheMILLAi[idx].StopLoss_To_Profit_Target_Ratio == stopLoss_To_Profit_Target_Ratio && cacheMILLAi[idx].EqualsInput(input))
						return cacheMILLAi[idx];
			return CacheIndicator<MILLAi>(new MILLAi(){ Trender1 = trender1, Trender2 = trender2, Trender3 = trender3, Trender1_C2 = trender1_C2, Trender2_C2 = trender2_C2, Trender3_C2 = trender3_C2, Overrider1 = overrider1, Overrider2 = overrider2, Overrider3 = overrider3, Overrider1_C2 = overrider1_C2, Overrider2_C2 = overrider2_C2, Overrider3_C2 = overrider3_C2, Contract = contract, StopLoss = stopLoss, StopLoss_To_Profit_Target_Ratio = stopLoss_To_Profit_Target_Ratio }, input, ref cacheMILLAi);
		}

		public AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input, int poles, int period)
		{
			if (cacheAuSuperSmootherFilter != null)
				for (int idx = 0; idx < cacheAuSuperSmootherFilter.Length; idx++)
					if (cacheAuSuperSmootherFilter[idx].Poles == poles && cacheAuSuperSmootherFilter[idx].Period == period && cacheAuSuperSmootherFilter[idx].EqualsInput(input))
						return cacheAuSuperSmootherFilter[idx];
			return CacheIndicator<AuSuperSmootherFilter>(new AuSuperSmootherFilter(){ Poles = poles, Period = period }, input, ref cacheAuSuperSmootherFilter);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.MILLAi MILLAi(bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(Input, trender1, trender2, trender3, trender1_C2, trender2_C2, trender3_C2, overrider1, overrider2, overrider3, overrider1_C2, overrider2_C2, overrider3_C2, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(Input, poles, period);
		}


		
		public Indicators.MILLAi MILLAi(ISeries<double> input , bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(input, trender1, trender2, trender3, trender1_C2, trender2_C2, trender3_C2, overrider1, overrider2, overrider3, overrider1_C2, overrider2_C2, overrider3_C2, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input , int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(input, poles, period);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.MILLAi MILLAi(bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(Input, trender1, trender2, trender3, trender1_C2, trender2_C2, trender3_C2, overrider1, overrider2, overrider3, overrider1_C2, overrider2_C2, overrider3_C2, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(Input, poles, period);
		}


		
		public Indicators.MILLAi MILLAi(ISeries<double> input , bool trender1, bool trender2, bool trender3, bool trender1_C2, bool trender2_C2, bool trender3_C2, bool overrider1, bool overrider2, bool overrider3, bool overrider1_C2, bool overrider2_C2, bool overrider3_C2, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(input, trender1, trender2, trender3, trender1_C2, trender2_C2, trender3_C2, overrider1, overrider2, overrider3, overrider1_C2, overrider2_C2, overrider3_C2, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input , int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(input, poles, period);
		}

	}
}

#endregion
